## com.ibm.lab.soln.resources
Class ListDetailsDialog

    java.lang.Object
      |
      +--org.eclipse.jface.window.Window
            |
            +--org.eclipse.jface.dialogs.Dialog
                  |
                  +--com.ibm.lab.soln.resources.ListDetailsDialog

public class ListDetailsDialog
extends org.eclipse.jface.dialogs.Dialog

Dialog that displays a list of data in two columns.

Inner classes inherited from class org.eclipse.jface.window.Window
`org.eclipse.jface.window.Window.IExceptionHandler`

Fields inherited from class org.eclipse.jface.dialogs.Dialog
`DLG_IMG_ERROR, DLG_IMG_INFO, DLG_IMG_MESSAGE_ERROR, DLG_IMG_MESSAGE_INFO, DLG_IMG_MESSAGE_WARNING, DLG_IMG_QUESTION, DLG_IMG_WARNING`

Fields inherited from class org.eclipse.jface.window.Window
`CANCEL, OK`

Constructor Summary
`ListDetailsDialog(org.eclipse.swt.widgets.Shell parentShell)` Constructor for ListDetailsDialog.
`ListDetailsDialog(org.eclipse.swt.widgets.Shell shell, java.lang.String title, java.lang.String[] listA, java.lang.String listAName, java.lang.String[] listB, java.lang.String listBName)` Constructor ListDetailsDialog.

Method Summary
`protected org.eclipse.swt.widgets.Control` | `createDialogArea(org.eclipse.swt.widgets.Composite parent)` Creates a customized user interface.

Methods inherited from class org.eclipse.jface.dialogs.Dialog
`buttonPressed, cancelPressed, constrainShellSize, convertHeightInCharsToPixels, convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, convertWidthInCharsToPixels, createButton, createButtonBar, createButtonsForButtonBar, createContents, getButton, getButtonBar, getCancelButton, getDialogArea, getImage, getOKButton, initializeDialogUnits, okPressed`

Methods inherited from class org.eclipse.jface.window.Window
`close, configureShell, create, createShell, getContents, getDefaultImage, getInitialLocation, getInitialSize, getParentShell, getReturnCode, getShell, getShellListener, getShellStyle, getWindowManager, handleFontChange, handleShellCloseEvent, initializeBounds, open, setBlockOnOpen, setDefaultImage, setExceptionHandler, setReturnCode, setShellStyle, setWindowManager`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ListDetailsDialog

    public ListDetailsDialog(org.eclipse.swt.widgets.Shell parentShell)

  Constructor for ListDetailsDialog.
  Parameters:
    `parentShell` -

### ListDetailsDialog

    public ListDetailsDialog(org.eclipse.swt.widgets.Shell shell,
                             java.lang.String title,
                             java.lang.String[] listA,
                             java.lang.String listAName,
                             java.lang.String[] listB,
                             java.lang.String listBName)

  Constructor ListDetailsDialog. Saves the parameters for use in `createDialogArea()`.
  Parameters:
    `shell` - - reference to caller window
    `title` - - used for list dialog
    `listA` - - first column data
    `listAName` - - first column name
    `listB` - - second column data
    `listBName` - - second column name

Method Detail

### createDialogArea

    protected org.eclipse.swt.widgets.Control createDialogArea(org.eclipse.swt.widgets.Composite parent)

  Creates a customized user interface. The arrays and title information passed to the constructor are used to build a two column list of detailed information.
  Overrides:
    `createDialogArea` in class `org.eclipse.jface.dialogs.Dialog`
  See Also:
    `Dialog.createDialogArea(Composite)`